Sorry, we don't support your browser.  Install a modern browser

Ubuntu Linux version#45

?

Supporting linux will be awesome! Maybe support it with Qt UI framework first then GTK.

23 days ago